# collada.scene.ScaleTransform

class `collada.scene.``ScaleTransform`(x, y, z, xmlnode=None)

  Bases: `collada.scene.Transform`

  Contains a scale transformation as defined in the collada <scale> tag.

  `__init__`(x, y, z, xmlnode=None)

    Creates a scale transformation

    Parameters:

    - x (float) – x coordinate
    - y (float) – y coordinate
    - z (float) – z coordinate
    - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(x, y, z[, xmlnode]) | Creates a scale transformation
  `load`(collada, node) | Load and return a class instance from an XML node.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  `x` = None

    x coordinate

  `y` = None

    y coordinate

  `z` = None

    z coordinate

  `matrix` = None

    The resulting transformation matrix. This will be a numpy.array of size 4x4.

  `xmlnode` = None

    ElementTree representation of the transform.

  static `load`(collada, node)

    Load and return a class instance from an XML node.

    Inspect the data inside node, which must match this class tag and create an instance out of it.

    Parameters:

    - collada (collada.Collada) – The collada file object where this object lives
    - localscope (dict) – If there is a local scope where we should look for local ids (sid) this is the dictionary. Otherwise empty dict ({})
    - node – An Element from python’s ElementTree API

  `save`()

    Put all the data to the internal xml node (xmlnode) so it can be serialized.